#pragma once

#include "pgmspace.h"

extern const unsigned char tab48426[5] PROGMEM;
extern const unsigned char tab47492[11] PROGMEM;
extern const unsigned char amplitudeRescale[17] PROGMEM;
// Used to decide which phoneme's blend lengths. The candidate with the lower score is selected.
// tab45856
extern const unsigned char blendRank[80] PROGMEM;
// Number of frames at the end of a phoneme devoted to interpolating to next phoneme's final value
//tab45696
extern const unsigned char outBlendLength[80] PROGMEM;
// Number of frames at beginning of a phoneme devoted to interpolating to phoneme's final value
// tab45776
extern const unsigned char inBlendLength[80] PROGMEM;
// tab45936
extern const unsigned char sampledConsonantFlags[80] PROGMEM;
//tab45056
extern const unsigned char freq1data[80];
//tab451356
extern const unsigned char freq2data[80];
//tab45216
extern const unsigned char freq3data[80];

extern const unsigned char ampl1data[80] PROGMEM;
extern const unsigned char ampl2data[80] PROGMEM;
extern const unsigned char ampl3data[80] PROGMEM;
//tab42240
extern const signed char sinus[256] PROGMEM;
//tab42496
extern const unsigned char rectangle[256] PROGMEM;
//random data ?
extern const unsigned char sampleTable[0x500] PROGMEM;
